<?php

//Definindo Constantes
require_once ROOTPATH . '/modules/catalog/constants.php';

//require_once ROOTPATH . '/modules/calendar/interceptors/Helpers.php';

use prototype\api\Config as Config;

class DBMapping {


    public function findConnections(&$uri, &$params, &$criteria, $original) {

	if(count($params)>0 && isset($params[0]['id'])){
		for($i=0; $i < count($params); $i++){
			//Retorna o telefone e o e-mail padrao de um determinado contato
			$sql = ' SELECT phpgw_cc_contact_conns.id_typeof_contact_connection as type, phpgw_cc_connections.connection_value as value '
				.'FROM phpgw_cc_contact_conns '
				.'JOIN phpgw_cc_connections '
				.'ON (phpgw_cc_connections.id_connection = phpgw_cc_contact_conns.id_connection) '
				.'WHERE phpgw_cc_contact_conns.id_contact = ' . $params[$i]['id'] . ' AND '
				.'phpgw_cc_connections.connection_is_default = TRUE ';

			$array = Controller::service('PostgreSQL')->execResultSql($sql);
			if(count($array)>0){
				foreach($array as $connection){
					switch($connection['type']){
						case TYPE_EMAIL 	: $params[$i][INDEX_EMAIL] 	= $connection['value']; break;
						case TYPE_TELEPHONE 	: $params[$i][INDEX_TELEPHONE] 	= $connection['value']; break;
					
						default			: $params[$i][INDEX_EMAIL] = $params[$i][INDEX_TELEPHONE] = '';
					}

				}
			}
			else{
				$params[$i][INDEX_EMAIL] = $params[$i][INDEX_TELEPHONE] = '';
			}
		}
	}
	return false;
    }

}

?>
